﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Persist.Model;
using Persist.Services;
using System.Collections;

namespace Business.Controller
{
    public class AccessController
    {
        AccessServices AccessServices;

        public AccessController()
        {
            this.AccessServices = new AccessServices();
        }

        public bool Create(Access access)
        {
            bool status = false;

            try
            {
                AccessServices.Create(access);
                status = true;
            }
            catch
            {
            }

            return status;
        }

        public bool Update(Access access)
        {
            bool status = false;

            try
            {
                Access result = Find(access.AccessID);

                if (result != null)
                {
                    AccessServices.Update(access);
                    status = true;
                }
            }
            catch
            {
            }

            return status;
        }

        public bool Delete(int accessID)
        {
            bool status = false;

            try
            {
                Access result = Find(accessID);

                if (result != null)
                {
                    AccessServices.Delete(accessID);
                    status = true;
                }
            }
            catch
            {
            }

            return status;
        }


        public Access Find(int accessID)
        {
            Access result = null;

            try
            {
                result = AccessServices.Find(accessID);
            }
            catch
            {
            }

            return result;
        }

        public List<Access> FindAll()
        {
            List<Access> results = null;

            try
            {
                results = AccessServices.FindAll();
            }
            catch
            {
            }

            return results;
        }

        public ICollection SelectWithParent()
        {
            ICollection results = null;

            try
            {
                results = AccessServices.SelectWithParent();
            }
            catch
            {
            }

            return results;
        }
    }
}