﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Persist.Model;
using Persist.Services;
using System.Collections;

namespace Business.Controller
{
    public class HotelController
    {
        HotelServices HotelServices;

        public HotelController()
        {
            this.HotelServices = new HotelServices();
        }

        public bool Create(Hotel hotel)
        {
            bool status = false;

            try
            {
                HotelServices.Create(hotel);
                status = true;
            }
            catch
            {
            }

            return status;
        }

        public bool Update(Hotel hotel)
        {
            bool status = false;

            try
            {
                Hotel result = Find(hotel.HotelID);

                if (result != null)
                {
                    HotelServices.Update(hotel);
                    status = true;
                }
            }
            catch
            {
            }

            return status;
        }

        public bool Delete(int hotelID)
        {
            bool status = false;

            try
            {
                Hotel result = Find(hotelID);

                if (result != null)
                {
                    HotelServices.Delete(hotelID);
                    status = true;
                }
            }
            catch
            {
            }

            return status;
        }


        public Hotel Find(int hotelID)
        {
            Hotel result = null;

            try
            {
                result = HotelServices.Find(hotelID);
            }
            catch
            {
            }

            return result;
        }

        public List<Hotel> FindAll()
        {
            List<Hotel> results = null;

            try
            {
                results = HotelServices.FindAll();
            }
            catch
            {
            }

            return results;
        }
    }
}