﻿<%@ Page Title="مدیریت سطح دسترسی" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManageAccess.aspx.cs" Inherits="Presentation.Pages.Admin.ManageAccess" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvAccess" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementAccess" runat="server">
            <asp:Button ID="btnInsertAccess" runat="server" OnClick="btnInsertAccess_Click" Text="افزودن سطح دسترسی"
                Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelAccess" runat="server" OnClick="btnReturnToPanelAccess_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdAccess"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdAccess_RowCommand"
                    OnPageIndexChanging="grdAccess_PageIndexChanging" OnRowDeleting="grdAccess_RowDeleting"
                    OnRowEditing="grdAccess_RowEditing" OnRowUpdating="grdAccess_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="UserType_Title" HeaderText="نوع کاربری" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="UserType_Title">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Page_PageName" HeaderText="نام صفحه" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Page_PageName">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("AccessID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("AccessID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdateAccess" runat="server">
            <table>
                <tr>
                    <td>
                        نوع کاربری
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlUserType" runat="server" DataTextField="Title" DataValueField="UserTypeID"
                            Height="30px" Width="200px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        نام صفحه
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlPage" runat="server" DataTextField="PageName" DataValueField="PageID"
                            Height="30px" Width="200px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdateAccess" runat="server" OnClick="btnInsertAndUpdateAccess_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelAccess" runat="server" OnClick="btnCancelAccess_Click" Text="لغو"
                            Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
