﻿<%@ Page Title="مدیریت  صفحات" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManagePage.aspx.cs" Inherits="Presentation.Pages.Admin.ManagePage" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvPage" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementPage" runat="server">
            <asp:Button ID="btnInsertPage" runat="server" OnClick="btnInsertPage_Click" Text="افزودن صفحه"
                Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelPage" runat="server" OnClick="btnReturnToPanelPage_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdPage"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdPage_RowCommand"
                    OnPageIndexChanging="grdPage_PageIndexChanging" OnRowDeleting="grdPage_RowDeleting"
                    OnRowEditing="grdPage_RowEditing" OnRowUpdating="grdPage_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="PageName" HeaderText="نام صفحه" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="PageName">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("PageID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("PageID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdatePage" runat="server">
            <table>
                <tr>
                    <td>
                        نام صفحه
                    </td>
                    <td>
                        <asp:TextBox ID="txtPageName" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdatePage" runat="server" OnClick="btnInsertAndUpdatePage_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelPage" runat="server" OnClick="btnCancelPage_Click" Text="لغو"
                            Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
