﻿<%@ Page Title="مدیریت کاربران" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManagePerson.aspx.cs" Inherits="Presentation.Pages.Admin.ManagePerson" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvPerson" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementPerson" runat="server">
            <asp:Button ID="btnInsertPerson" runat="server" OnClick="btnInsertPerson_Click" Text="افزودن شخص"
                Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelPerson" runat="server" OnClick="btnReturnToPanelPerson_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" />
            <asp:GridView ID="grdPerson" runat="server" Width="97%" CellPadding="4" ForeColor="#333333"
                GridLines="None" AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdPerson_RowCommand"
                OnPageIndexChanging="grdPerson_PageIndexChanging" OnRowDeleting="grdPerson_RowDeleting"
                OnRowEditing="grdPerson_RowEditing" OnRowUpdating="grdPerson_RowUpdating">
                <AlternatingRowStyle BackColor="White" />
                <Columns>
                    <asp:BoundField DataField="UserType_Title" HeaderText="نوع کاربری" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-Width="10%" SortExpression="UserType_Title">
                        <ItemStyle HorizontalAlign="Center" Width="10%" />
                    </asp:BoundField>
                    <asp:BoundField DataField="UserName" HeaderText="نام کاربری" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-Width="15%" SortExpression="UserName">
                        <ItemStyle HorizontalAlign="Center" Width="15%" />
                    </asp:BoundField>
                    <asp:BoundField DataField="NationalCode" HeaderText="کد ملی" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-Width="15%" SortExpression="NationalCode">
                        <ItemStyle HorizontalAlign="Center" Width="15%" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Telephone" HeaderText="تلفن" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-Width="15%" SortExpression="Telephone">
                        <ItemStyle HorizontalAlign="Center" Width="15%" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Email" HeaderText="ایمیل" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-Width="15%" SortExpression="Email">
                        <ItemStyle HorizontalAlign="Center" Width="15%" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="جنسیت" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="10%">
                        <ItemTemplate>
                            <asp:Label ID="lblSex" runat="server" Text='<%#Convert.ToBoolean(Eval("Sex"))?"مرد":"زن"%>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="20%">
                        <ItemTemplate>
                            <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("PersonID") %>'
                                CommandName="doEdit">ویرایش
                            </asp:LinkButton>
                            &nbsp;
                            <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("PersonID") %>'
                                CommandName="doDelete">حذف</asp:LinkButton>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" Width="15%" />
                    </asp:TemplateField>
                </Columns>
                <EditRowStyle BackColor="#7C6F57" />
                <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                <RowStyle BackColor="#E3EAEB" />
                <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                <SortedAscendingCellStyle BackColor="#F8FAFA" />
                <SortedAscendingHeaderStyle BackColor="#246B61" />
                <SortedDescendingCellStyle BackColor="#D4DFE1" />
                <SortedDescendingHeaderStyle BackColor="#15524A" />
            </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdatePerson" runat="server">
            <table>
                <tr>
                    <td>
                        نوع کاربری
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlUserType" runat="server" DataTextField="Title" DataValueField="UserTypeID"
                            Height="30px" Width="200px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        آدرس
                    </td>
                    <td>
                        <asp:TextBox ID="txtAddress" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        نام خانوادگی
                    </td>
                    <td>
                        <asp:TextBox ID="txtFamily" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        نام
                    </td>
                    <td>
                        <asp:TextBox ID="txtName" runat="server" Width="200px" BackColor="" CssClass="" ForeColor=""
                            TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        رمز عبور
                    </td>
                    <td>
                        <asp:TextBox ID="txtPassword" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        نام کاربری
                    </td>
                    <td>
                        <asp:TextBox ID="txtUserName" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        کد ملی
                    </td>
                    <td>
                        <asp:TextBox ID="txtNationalCode" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        تلفن
                    </td>
                    <td>
                        <asp:TextBox ID="txtTelephone" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        ایمیل
                    </td>
                    <td>
                        <asp:TextBox ID="txtEmail" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        جنسیت
                    </td>
                    <td>
                        <asp:RadioButton ID="rbSexYes" runat="server" Checked="True" GroupName="Sex" Text="مرد" /><asp:RadioButton
                            ID="rbSexNo" runat="server" Checked="False" GroupName="Sex" Text="زن" />
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdatePerson" runat="server" OnClick="btnInsertAndUpdatePerson_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelPerson" runat="server" OnClick="btnCancelPerson_Click" Text="لغو"
                            Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
