﻿<%@ Page Title="مدیریت رزرو" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManageReserve.aspx.cs" Inherits="Presentation.Pages.Admin.ManageReserve" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvReserve" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementReserve" runat="server">
            <asp:Button ID="btnInsertReserve" runat="server" OnClick="btnInsertReserve_Click"
                Text="افزودن رزرو اتاق" Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelReserve" runat="server" OnClick="btnReturnToPanelReserve_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdReserve"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdReserve_RowCommand"
                    OnPageIndexChanging="grdReserve_PageIndexChanging" OnRowDeleting="grdReserve_RowDeleting"
                    OnRowEditing="grdReserve_RowEditing" OnRowUpdating="grdReserve_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="Person_UserName" HeaderText="شخص" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Person_UserName">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Room_RoomNumber" HeaderText="اتاق" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Room_RoomNumber">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="PriceSum" HeaderText="مبلغ پرداختی" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="PriceSum">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="EndDate" HeaderText="تاریخ پایان" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="EndDate">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="StartDate" HeaderText="تاریخ شروع" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="StartDate">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("ReserveID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("ReserveID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdateReserve" runat="server">
            <table>
                <tr>
                    <td>
                        شخص
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlPerson" runat="server" DataTextField="UserName" DataValueField="PersonID"
                            Height="30px" Width="200px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        اتاق
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlRoom" runat="server" DataTextField="RoomNumber" DataValueField="RoomID"
                            Height="30px" Width="200px">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        مبلغ پرداختی
                    </td>
                    <td>
                        <asp:TextBox ID="txtPriceSum" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        تاریخ پایان
                    </td>
                    <td>
                        <pdc:PersianDateTextBox ID="pdtEndDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
                            SetDefaultDateOnEvent="OnDoubleClick" Width="200px">
                        </pdc:PersianDateTextBox>
                        <pdc:PersianDateValidator ID="pdvEndDate" runat="server" ControlToValidate="pdtEndDate">
                        </pdc:PersianDateValidator>
                        <pdc:PersianDateScriptManager ID="pdsmEndDate" runat="server" CalendarCSS="PickerCalendarCSS"
                            CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
                            ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
                            SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
                        </pdc:PersianDateScriptManager>
                    </td>
                </tr>
                <tr>
                    <td>
                        تاریخ شروع
                    </td>
                    <td>
                        <pdc:PersianDateTextBox ID="pdtStartDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
                            SetDefaultDateOnEvent="OnDoubleClick" Width="200px">
                        </pdc:PersianDateTextBox>
                        <pdc:PersianDateValidator ID="pdvStartDate" runat="server" ControlToValidate="pdtStartDate">
                        </pdc:PersianDateValidator>
                        <pdc:PersianDateScriptManager ID="pdsmStartDate" runat="server" CalendarCSS="PickerCalendarCSS"
                            CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
                            ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
                            SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
                        </pdc:PersianDateScriptManager>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdateReserve" runat="server" OnClick="btnInsertAndUpdateReserve_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelReserve" runat="server" OnClick="btnCancelReserve_Click"
                            Text="لغو" Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
