﻿<%@ Page Title="مدیریت اتاق" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ManageRoom.aspx.cs" Inherits="Presentation.Pages.Admin.ManageRoom" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <asp:MultiView ID="mvRoom" runat="server" ActiveViewIndex="0">
        <asp:View ID="vwManagementRoom" runat="server">
            <asp:Button ID="btnInsertRoom" runat="server" OnClick="btnInsertRoom_Click" Text="افزودن اتاق"
                Width="" CssClass="Button" />
            <asp:Button ID="btnReturnToPanelRoom" runat="server" OnClick="btnReturnToPanelRoom_Click"
                Text="برگشت به پنل مدیریت" Width="" CssClass="Button" /><asp:GridView ID="grdRoom"
                    runat="server" Width="97%" CellPadding="4" ForeColor="#333333" GridLines="None"
                    AutoGenerateColumns="False" AllowPaging="True" OnRowCommand="grdRoom_RowCommand"
                    OnPageIndexChanging="grdRoom_PageIndexChanging" OnRowDeleting="grdRoom_RowDeleting"
                    OnRowEditing="grdRoom_RowEditing" OnRowUpdating="grdRoom_RowUpdating">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="Description" HeaderText="توضیحات" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Description">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="RoomNumber" HeaderText="شماره اتاق" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="RoomNumber">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Price" HeaderText="اجاره اتاق" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="Price">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:BoundField DataField="CountBedroom" HeaderText="تعداد تخت" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-Width="15%" SortExpression="CountBedroom">
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="دستورات" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="30%">
                            <ItemTemplate>
                                <asp:LinkButton ID="lbEdit" runat="server" CommandArgument='<%# Eval("RoomID") %>'
                                    CommandName="doEdit">ویرایش
                                </asp:LinkButton>
                                &nbsp;
                                <asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("RoomID") %>'
                                    CommandName="doDelete">حذف</asp:LinkButton>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" Width="15%" />
                        </asp:TemplateField>
                    </Columns>
                    <EditRowStyle BackColor="#7C6F57" />
                    <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" Height="30px" />
                    <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#E3EAEB" />
                    <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F8FAFA" />
                    <SortedAscendingHeaderStyle BackColor="#246B61" />
                    <SortedDescendingCellStyle BackColor="#D4DFE1" />
                    <SortedDescendingHeaderStyle BackColor="#15524A" />
                </asp:GridView>
        </asp:View>
        <asp:View ID="vwInsertUpdateRoom" runat="server">
            <table>
                <tr>
                    <td>
                        توضیحات
                    </td>
                    <td>
                        <asp:TextBox ID="txtDescription" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        شماره اتاق
                    </td>
                    <td>
                        <asp:TextBox ID="txtRoomNumber" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        اجاره اتاق
                    </td>
                    <td>
                        <asp:TextBox ID="txtPrice" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        تعداد تخت
                    </td>
                    <td>
                        <asp:TextBox ID="txtCountBedroom" runat="server" Width="200px" BackColor="" CssClass=""
                            ForeColor="" TextMode="SingleLine" ToolTip="">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Button ID="btnInsertAndUpdateRoom" runat="server" OnClick="btnInsertAndUpdateRoom_Click"
                            Text="ثبت" Width="" CssClass="Button" />
                        <asp:Button ID="btnCancelRoom" runat="server" OnClick="btnCancelRoom_Click" Text="لغو"
                            Width="" CssClass="Button" />
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</asp:Content>
