﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Business.Controller;

namespace Presentation.Pages.Member
{
    public partial class Report1 : System.Web.UI.Page
    {
        RoomController RoomController;
        PersonController PersonController;

        public Report1()
        {
            RoomController = new RoomController();
            PersonController = new PersonController();
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!PersonController.IsPermissionToPage(HttpContext.Current.User.Identity.Name, this.Title))
                Response.Redirect("~/Pages/Forbidden.aspx");

            grdRooms.DataSource = RoomController.ReportOfRoomsWithInformationComplete();
            grdRooms.DataBind();
        }
    }
}