﻿<%@ Page Title="رزرو اتاق" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master"
    AutoEventWireup="true" CodeBehind="ReserveRoom.aspx.cs" Inherits="Presentation.Pages.Member.ReserveRoom" %>

<%@ Register Assembly="PersianDateControls 2.0" Namespace="PersianDateControls" TagPrefix="pdc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <br />
    <br />
    <a style="font-size:16px;color:Orange;">اطلاعات مربوی به اتاق</a>
    <br />
    <asp:Label ID="lblRoomInformation" runat="server" Font-Size="14px" 
        ForeColor="Red"></asp:Label>
    <br />
    <br />
    <table>
        <tr>
            <td>
                <a>اتاق</a>
            </td>
            <td style="color: #FF9933; font-size: large;">
                <asp:DropDownList ID="ddlRoom" runat="server" DataTextField="RoomNumber" DataValueField="RoomID"
                    Height="30px" Width="200px" AutoPostBack="True" OnSelectedIndexChanged="ddlRoom_SelectedIndexChanged">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <a>تاریخ شروع</a>
            </td>
            <td>
                <pdc:PersianDateTextBox ID="pdtStartDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
                    SetDefaultDateOnEvent="OnDoubleClick" Width="200px">
                </pdc:PersianDateTextBox>
                <asp:CustomValidator ID="cvStartDate" runat="server" 
                    ControlToValidate="pdtStartDate" Font-Names="Tahoma" Font-Size="12px" 
                    ForeColor="Red" onservervalidate="cvStartDate_ServerValidate">تاریخ از اکنون به بعد باید وارد شود</asp:CustomValidator>
                <br />
                <pdc:PersianDateValidator ID="pdvStartDate" runat="server" ControlToValidate="pdtStartDate">
                </pdc:PersianDateValidator>
                <pdc:PersianDateScriptManager ID="pdsmStartDate" runat="server" CalendarCSS="PickerCalendarCSS"
                    CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
                    ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
                    SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
                </pdc:PersianDateScriptManager>
            </td>
        </tr>
        <tr>
            <td>
                <a>تاریخ پایان</a>
            </td>
            <td>
                <pdc:PersianDateTextBox ID="pdtEndDate" runat="server" DefaultDate="" IconUrl="~/Images/Calendar.gif"
                    SetDefaultDateOnEvent="OnDoubleClick" Width="200px">
                </pdc:PersianDateTextBox>
                <pdc:PersianDateValidator ID="pdvEndDate" runat="server" ControlToValidate="pdtEndDate">
                </pdc:PersianDateValidator>
                <pdc:PersianDateScriptManager ID="pdsmEndDate" runat="server" CalendarCSS="PickerCalendarCSS"
                    CalendarDayWidth="50" FooterCSS="PickerFooterCSS" ForbidenCSS="PickerForbidenCSS"
                    ForbidenDates="" ForbidenWeekDays="" FrameCSS="PickerCSS" HeaderCSS="PickerHeaderCSS"
                    SelectedCSS="PickerSelectedCSS" WeekDayCSS="PickerWeekDayCSS" WorkDayCSS="PickerWorkDayCSS">
                </pdc:PersianDateScriptManager>
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:Button ID="btnInsertAndUpdateReserve" runat="server" OnClick="btnInsertAndUpdateReserve_Click"
                    Text="ثبت" Width="" CssClass="Button" />
                <asp:Button ID="btnCancelReserve" runat="server" OnClick="btnCancelReserve_Click"
                    Text="لغو" Width="" CssClass="Button" />
                <br />
                <br />
                <asp:Label ID="lblResult" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>
