﻿<%@ Page Title="ثبت نام در سایت" Language="C#" MasterPageFile="~/MasterPage/HotelSite.Master" AutoEventWireup="true"
    CodeBehind="Register.aspx.cs" Inherits="Presentation.Pages.Register" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
    <table dir="ltr" frame="border">
        <tr>
            <td dir="rtl" align="right" colspan="2">
                |عضویت|
            </td>
        </tr>
        <tr>
            <td dir="rtl" align="right">
                <asp:TextBox ID="TxtName" runat="server" CssClass="txt" Height="30px" Width="130px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="TxtName"
                    ErrorMessage="نام را وارد کنید" ForeColor="Red">→</asp:RequiredFieldValidator>
            </td>
            <td dir="rtl" align="right">
                <asp:Label ID="Label9" runat="server" Text="نام:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td dir="rtl" align="right">
                <asp:TextBox ID="TxtFamily" runat="server" CssClass="txt" Height="30px" Width="130px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TxtFamily"
                    ErrorMessage="نام خانوادگی را وارد کنید" ForeColor="Red">→</asp:RequiredFieldValidator>
            </td>
            <td dir="rtl" align="right">
                <asp:Label ID="Label2" runat="server" Text="نام خانوادگی:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td dir="rtl" align="right">
                <asp:TextBox ID="TxtTell" runat="server" CssClass="txt" Height="30px" Width="130px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ErrorMessage="تلفن را وارد کنید"
                    ControlToValidate="TxtTell" ForeColor="Red">→</asp:RequiredFieldValidator>
            </td>
            <td dir="rtl" align="right">
                <asp:Label ID="Label3" runat="server" Text="تلفن:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        
       
        <tr>
            <td class="style24" dir="rtl" align="right">
                <asp:TextBox ID="TxtEmail" runat="server" CssClass="txt" Height="30px" Width="130px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TxtEmail"
                    ErrorMessage="ایمیل را وارد کنید" ForeColor="Red">→</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="TxtEmail"
                    ErrorMessage="ایمیل را صحیح وارد نمایید" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                    ForeColor="Red">→</asp:RegularExpressionValidator>
            </td>
            <td class="style13" dir="rtl" align="right">
                <asp:Label ID="Label4" runat="server" Text="ایمیل:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="style22" dir="rtl" align="right">
                <asp:TextBox ID="TxtUserName" runat="server" CssClass="txt" Width="130px" Height="30px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TxtUserName"
                    ErrorMessage="نام کاربری را وارد نمایید" Style="text-align: left" ForeColor="Red">→</asp:RequiredFieldValidator>
                &nbsp;<asp:CustomValidator ID="cvUserName" runat="server" ControlToValidate="TxtUserName"
                    ErrorMessage="نام کاربری موجود می باشد" ForeColor="Red" OnServerValidate="cvUserName_ServerValidate">→</asp:CustomValidator>
            </td>
            <td class="style23" dir="rtl" align="right">
                <asp:Label ID="Label5" runat="server" Text="نام کاربری:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="style22" dir="rtl" align="right">
                <asp:TextBox ID="txtAddress" runat="server" CssClass="txt" Width="130px" 
                    Height="30px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtAddress"
                    ErrorMessage="آدرس را وترد کنید" ForeColor="Red">→</asp:RequiredFieldValidator>
            </td>
            <td class="style23" dir="rtl" align="right">
                آدرس :
            </td>
        </tr>
        <tr>
            <td class="style31" dir="rtl" align="right">
                <asp:TextBox ID="TxtPass1" runat="server" CssClass="txt" Height="30px" Width="130px"></asp:TextBox>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="TxtPass1"
                    ErrorMessage="کلمه عبور را وارد نمایید" ForeColor="Red">→</asp:RequiredFieldValidator>
            </td>
            <td class="style32" dir="rtl" align="right">
                <asp:Label ID="Label6" runat="server" Text="کلمه عبور:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td dir="ltr" align="right">
                &nbsp;&nbsp;&nbsp;&nbsp;
                <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="TxtPass1"
                    ControlToValidate="TxtPass2" ErrorMessage="تکرار کلمه عبور با کلمه عبور مطابقت ندارد"
                    ForeColor="Red">→</asp:CompareValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="TxtPass2"
                    ErrorMessage="تکرار کلمه عبور را وارد نمایید" ForeColor="Red">→</asp:RequiredFieldValidator>
                &nbsp;&nbsp;
                <asp:TextBox ID="TxtPass2" runat="server" ssClass="txt" Width="126px" Height="30px"></asp:TextBox>
            </td>
            <td class="style34" dir="rtl" align="right">
                <asp:Label ID="Label7" runat="server" Text="تکرار کلمه عبور:" CssClass="lbl"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="style18" dir="rtl" align="right">
                <asp:Button ID="Btnsabteozviat" runat="server" Text="ثبت" Width="58px" BorderColor="White"
                    BorderStyle="Groove" Height="30px" OnClick="Btnsabteozviat_Click" BackColor="#CCCCFF"
                    CssClass="Button" />
            &nbsp;<asp:Button ID="Btncancelozviat" runat="server" Text="انصراف" BorderColor="#003366"
                    BorderStyle="Groove" Height="30px" Width="58px" BackColor="#CCCCFF" CssClass="Button" />
            </td>
            <td class="style19" dir="rtl" align="right">
                &nbsp;</td>
        </tr>
        <tr>
            <td class="style18" dir="rtl" align="right">
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True"
                    ShowSummary="False" ForeColor="Red" />
            </td>
            <td class="style19" dir="rtl" align="right">
                &nbsp;
            </td>
        </tr>
    </table>
</asp:Content>
