﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Business.Controller;
using Business.Classes;
using Persist.Model;

namespace Presentation.Pages
{
    public partial class Register : System.Web.UI.Page
    {
        PersonController PersonController;
        DateTimeBusiness DateTimeBusiness;

        public Register()
        {
            PersonController = new PersonController();
            DateTimeBusiness = new DateTimeBusiness();
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Btnsabteozviat_Click(object sender, EventArgs e)
        {
            if (Page.IsValid)
            {
                PersonController.Create(new Person()
                {
                    UserType_ID = 2,
                    UserName = TxtUserName.Text,
                    Password = TxtPass1.Text,
                    Email = TxtEmail.Text,
                    Name = TxtName.Text,
                    Family = TxtFamily.Text,
                    Telephone = TxtTell.Text,
                    Address = txtAddress.Text
                });
            }
        }

        protected void cvUserName_ServerValidate(object source, ServerValidateEventArgs args)
        {
            args.IsValid = !PersonController.IsExistUserName(TxtUserName.Text);
        }
    }
}